Eclipse Platform Release 3.7

## org.eclipse.jface.text.source
Interface IVerticalRulerListener

All Known Implementing Classes:
  SelectAnnotationRulerAction

    public interface IVerticalRulerListener

Interface for listening to annotation related events happening on a vertical ruler.

This interface may be implemented by clients.

Since:
  3.0

Method Summary
`void` `annotationContextMenuAboutToShow(VerticalRulerEvent event, Menu menu)` Called when the context menu is opened on an annotation in the vertical ruler.
`void` `annotationDefaultSelected(VerticalRulerEvent event)` Called when a default selection occurs on an annotation in the vertical ruler.
`void` `annotationSelected(VerticalRulerEvent event)` Called when an annotation is selected in the vertical ruler.

Method Detail

### annotationSelected

    void annotationSelected(VerticalRulerEvent event)

  Called when an annotation is selected in the vertical ruler.

  Parameters:
    `event` - the annotation event that occurred

### annotationDefaultSelected

    void annotationDefaultSelected(VerticalRulerEvent event)

  Called when a default selection occurs on an annotation in the vertical ruler.

  Parameters:
    `event` - the annotation event that occurred

### annotationContextMenuAboutToShow

    void annotationContextMenuAboutToShow(VerticalRulerEvent event,
                                          Menu menu)

  Called when the context menu is opened on an annotation in the vertical ruler.

  Parameters:
    `event` - the annotation event that occurred
    `menu` - the menu that is about to be shown

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.